*+====================================================================
*+
*+    Source Module => F:\DBF_Y2K\ROOTNAME.PRG
*+
*+    A Year 2000 date scanning project by Phil Barnett and Ross McKenzie
*+    
*+    DBF_Y2K is Public Domain and complete Source Code is provided.
*+
*+    Functions: Function ROOTNAME()
*+
*+    Reformatted by Click! 1.12 on Dec-1-1997 at 11:43 pm
*+
*+====================================================================

*+--------------------------------------------------------------------
*+
*+    Function ROOTNAME()
*+
*+    Called from ( datefunc.prg )   1 - function ischardate()
*+                ( dbf_y2k.prg  )   5 - procedure dbf_y2k()
*+
*+--------------------------------------------------------------------
*+
function ROOTNAME( FILE_NAME )

local DOTAT  := at( '.', FILE_NAME )
local RETVAL

if DOTAT > 0
   RETVAL := left( FILE_NAME, DOTAT - 1 )
else
   RETVAL := trim( FILE_NAME )
endif

return RETVAL

*+ EOF: ROOTNAME.PRG
